summaryrefslogtreecommitdiffstats
path: root/dovetail/patch/functest/disable-api-validation/apply.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dovetail/patch/functest/disable-api-validation/apply.sh')
-rwxr-xr-xdovetail/patch/functest/disable-api-validation/apply.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/dovetail/patch/functest/disable-api-validation/apply.sh b/dovetail/patch/functest/disable-api-validation/apply.sh
new file mode 100755
index 00000000..915bce43
--- /dev/null
+++ b/dovetail/patch/functest/disable-api-validation/apply.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+set -u
+
+# without setting the user, git does not allow to create a commit
+git config --global user.email "verified@opnfv.org"
+git config --global user.name "Dovetail"
+
+cd /src/tempest
+git am $(dirname $0)/0001-Allow-additional-properties-in-API-responses.patch
+
+exit 0